@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

.containergeral {
    margin-top: 5rem;
    display: flex;
    justify-content: center;
    align-items: center;
}

.container-contato {
    display: flex;
    background: white;
    padding: 50px;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    max-width: 1200px;
    width: 100%;
}

.contato, .formulario {
    flex: 1;
    padding: 20px;
}

h2 {
    color: #333;
}

.imagem-contato {
    width: 100%;
    height: 55%;
    border-radius: 10px;
    margin-top: 10px;
}

form {
    display: flex;
    flex-direction: column;
}

label {
    margin-top: 10px;
    font-weight: bold;
}

input, textarea {
    padding: 10px;
    margin-top: 5px;
    border: 1px solid #ccc;
    border-radius: 5px;
    width: 100%;
}

button {
    background-color: #007bff;
    color: white;
    padding: 10px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    margin-top: 15px;
}

button:hover {
    background-color: #0056b3;
}

@media (max-width: 768px) {
    .containergeral {
        margin-top: 2rem;
        flex-direction: column;
        align-items: center;
    }

    .container-contato {
        flex-direction: column;
        padding: 30px;
        text-align: center;
    }

    .contato, .formulario {
        width: 100%;
        padding: 10px;
    }

    .imagem-contato {
        max-width: 100%;
        height: auto;
    }
}